# index-of

Finds the positions of items in a sequence that match the second argument

index-of($seq as xs:anyAtomicType*, $search as xs:anyAtomicType) → xs:integer*

Arguments
| $seq | xs:anyAtomicType* | The sequence being searched
| $search | xs:anyAtomicType | The value being sought
Result | xs:integer*

index-of($seq as xs:anyAtomicType*, $search as xs:anyAtomicType, $collation as xs:string) → xs:integer*

Arguments
| $seq | xs:anyAtomicType* | The sequence being searched
| $search | xs:anyAtomicType | The value being sought
| $collation | xs:string | The collation to be used for comparing strings
Result | xs:integer*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next